Telefonino.net network
 
| HOMEPAGE | INDICE FORUM | REGOLAMENTO | ::. NEI PREFERITI .:: | RSS Forum | RSS News | NEWS web | NEWS software |
| PUBBLICITA' | | ARTICOLI | WIN XP | VISTA | WIN 7 | REGISTRI | SOFTWARE | MANUALI | RECENSIONI | LINUX | HUMOR | HARDWARE | DOWNLOAD | | CERCA nel FORUM » |

Torna indietro   WinTricks Forum > Sistemi Operativi > Windows 7/Vista/XP/ 2003

Notices

Rispondi
 
Strumenti discussione
Vecchio 31-10-2015, 08.29.27   #1
walker1
Senior Member
 
Registrato: 17-02-2014
Messaggi: 385
walker1 promette bene
trucco NET FRAMEWORK ?

Ciao,
io ho windows Xp home edition con il Service Pack 2.

Devo a tutti i costi installare .NET FRAMEWORK 4.5 perche' un programma specifico per cellulari (ONECLICKROOT) mi obbliga a installare prima .NET FRAMEWORK 4.5 (non versioni inferiori alla 4.5).

Pero' quando installo .NET FRAMEWORK 4.5 mi esce sempre l'errore che non e' possibile installarlo per mancanza di requisiti.
Esiste allora un modo per raggirare con un trucco tale installazione nel mio scarso OS ?
walker1 non è collegato   Rispondi citando
Vecchio 01-11-2015, 12.38.42   #2
RunDLL
Gold Member
 
L'avatar di RunDLL
 
Registrato: 20-05-2004
Loc.: Perugia
Messaggi: 4.188
RunDLL è nella strada per il successo
Rif: trucco NET FRAMEWORK ?

La versione 4.5 non è installabile su XP, nemmeno service pack 3.
___________________________________

Ogni computer ha la sua storia.
Dermatite Seborroica? www.dermatiteseborroica.info
RunDLL non è collegato   Rispondi citando
Vecchio 02-11-2015, 09.09.06   #3
walker1
Senior Member
 
Registrato: 17-02-2014
Messaggi: 385
walker1 promette bene
Rif: trucco NET FRAMEWORK ?

d'accordo ma come faccio allora ad installare un programma per cellulari (OneClickRoot) che mi da questo errore ?:
ONECLICKROOT CAN NOT BE INSTALLED ON SYSTEMS WITH .NET FRAMEWORK VERSION LOWER THAN 4.5

che significa che ci vuole almeno la versione 4.5 di .NET FRAMEWORK, non una versione inferiore alla 4.5


walker1 non è collegato   Rispondi citando
Vecchio 02-11-2015, 13.37.34   #4
RunDLL
Gold Member
 
L'avatar di RunDLL
 
Registrato: 20-05-2004
Loc.: Perugia
Messaggi: 4.188
RunDLL è nella strada per il successo
Rif: trucco NET FRAMEWORK ?

Non lo puoi installare su questo computer, almeno finchè c'è Windows XP.
___________________________________

Ogni computer ha la sua storia.
Dermatite Seborroica? www.dermatiteseborroica.info
RunDLL non è collegato   Rispondi citando
Vecchio 02-11-2015, 14.29.42   #5
walker1
Senior Member
 
Registrato: 17-02-2014
Messaggi: 385
walker1 promette bene
Rif: trucco NET FRAMEWORK ?

ma in questo forum inglese c'e' scritto:
http://stackoverflow.com/questions/1...-compatibility

Quota:
Just use Mono http://www.mono-project.com/Main_Page
It is XP compatible.
ma non ci ho capito niente.
Cioe', se install MONO-PROJECT, il mio programma (ONECLICKROOT) funzionera' ?
walker1 non è collegato   Rispondi citando
Vecchio 02-11-2015, 17.39.34   #6
borgata
Gold Member
WT Expert
 
L'avatar di borgata
 
Registrato: 23-06-2004
Loc.: Cagliari
Messaggi: 13.333
borgata è un gioiello raroborgata è un gioiello raroborgata è un gioiello raroborgata è un gioiello raro
Rif: trucco NET FRAMEWORK ?

Funzionerà se compatibile con Mono.
Installa Mono, testalo con il tuo programma e avrai la risposta.

Se hai dubbi su cosa sia Mono, ti consiglio di dare un'occhiata a Wikipedia.
___________________________________

La risposta è dentro di te...
e però, è sbagliata!
borgata non è collegato   Rispondi citando
Vecchio 10-11-2015, 22.41.22   #7
1consigliere
Newbie
 
Registrato: 13-01-2012
Messaggi: 6
1consigliere promette bene
Rif: trucco NET FRAMEWORK ?

Quota:
Inviato da RunDLL Visualizza messaggio
La versione 4.5 non è installabile su XP, nemmeno service pack 3.
Errato. Si può installare il Service Pack 3 e pure NetFrame 4.5.
Il problema risiede nel fatto che l'installazione può andare a male.
Inoltre il NetFrame 2.0 è mancante in rete dal sito Microsoft.

Per risolvere l'errore si può installare di nuovo l'Installer di Microsoft oppure usare FixIT ma non è facile risolvere questo problema.
1consigliere non è collegato   Rispondi citando
Vecchio 11-11-2015, 00.34.08   #8
borgata
Gold Member
WT Expert
 
L'avatar di borgata
 
Registrato: 23-06-2004
Loc.: Cagliari
Messaggi: 13.333
borgata è un gioiello raroborgata è un gioiello raroborgata è un gioiello raroborgata è un gioiello raro
Rif: trucco NET FRAMEWORK ?

Certo che il SP3 è installabile, quel che RunDDL ha detto che è il .NET Framework 4.5 non è installabile su XP SP3.
Ufficialmente quindi non è compatibile, per cui dubito si riesca a farlo andare con il suo installer. Se conosci una procedura testata e funzionante scrivila, potrebbe tornare utile a qualcuno.

Personalmente ho sempre evitato i .NET Framework su XP (e di conseguenza i programmi basati su di esso) perchè appesantivano eccessivamente il sistema.

Il NET Framework 2.0 non è più disponibile perchè incluso nel 3.5 (che è un superset del 2.0 e del 3).
___________________________________

La risposta è dentro di te...
e però, è sbagliata!
borgata non è collegato   Rispondi citando
Vecchio 12-11-2015, 03.27.06   #9
1consigliere
Newbie
 
Registrato: 13-01-2012
Messaggi: 6
1consigliere promette bene
Cool Rif: trucco NET FRAMEWORK ?

Quota:
Inviato da borgata Visualizza messaggio
Certo che il SP3 è installabile, quel che RunDDL ha detto che è il .NET Framework 4.5 non è installabile su XP SP3.
Ufficialmente quindi non è compatibile, per cui dubito si riesca a farlo andare con il suo installer. Se conosci una procedura testata e funzionante scrivila, potrebbe tornare utile a qualcuno.

Personalmente ho sempre evitato i .NET Framework su XP (e di conseguenza i programmi basati su di esso) perchè appesantivano eccessivamente il sistema.

Il NET Framework 2.0 non è più disponibile perchè incluso nel 3.5 (che è un superset del 2.0 e del 3).
Non mi risulta che il .NetFramework 2.0 sia incluso ne 3.5 ma è solo un Service Pack. Guarda, questa è la dicitura dal sito Microsoft:
Microsoft .NET Framework 3.5 contiene molte nuove funzionalità che ampliano quelle di .NET Framework 2.0 e 3.0 e include .NET Framework 2.0 Service Pack 1 e .NET Framework 3.0 Service Pack 1.

Però hai ragione sul fatto che il 4.5 non è fatto per Windows XP e sono d'accordo che NetFramework appesantisce il sistema. Tutto appesantisce il sistema e specialmente le Updates. Io ho notato che qualsiasi computer dopo le updates si rallenta. Non servono tutte. Meglio viaggiare in rete con utente non Amministratore.
1consigliere non è collegato   Rispondi citando
Vecchio 12-11-2015, 12.25.01   #10
tof63
Hero Member
 
Registrato: 01-12-2001
Messaggi: 714
tof63 ha un'aura spettacolaretof63 ha un'aura spettacolare
Rif: trucco NET FRAMEWORK ?

Ma... io posso dire che il .net framework 3.5.1, facente parte dell'installazione standard di Windows 7 sp1, esegue tranquillamente le applicazioni che richiedono .net framework 2 senza bisogno di installare null'altro (almeno questo vale di certo per BVE 4.1 e openBVE 1.4).
___________________________________

Luigi Cartello
http://web.tiscali.it/lcartello/
tof63 non è collegato   Rispondi citando
Vecchio 12-11-2015, 19.09.24   #11
borgata
Gold Member
WT Expert
 
L'avatar di borgata
 
Registrato: 23-06-2004
Loc.: Cagliari
Messaggi: 13.333
borgata è un gioiello raroborgata è un gioiello raroborgata è un gioiello raroborgata è un gioiello raro
Rif: trucco NET FRAMEWORK ?

Quota:
Inviato da 1consigliere Visualizza messaggio
Non mi risulta che il .NetFramework 2.0 sia incluso ne 3.5 ma è solo un Service Pack. Guarda, questa è la dicitura dal sito Microsoft:
Microsoft .NET Framework 3.5 contiene molte nuove funzionalità che ampliano quelle di .NET Framework 2.0 e 3.0 e include .NET Framework 2.0 Service Pack 1 e .NET Framework 3.0 Service Pack 1.
Come no?
É esattamente ciò che è scritto nel testo che hai riportato!
___________________________________

La risposta è dentro di te...
e però, è sbagliata!
borgata non è collegato   Rispondi citando
Vecchio 13-11-2015, 11.29.37   #12
1consigliere
Newbie
 
Registrato: 13-01-2012
Messaggi: 6
1consigliere promette bene
Rif: trucco NET FRAMEWORK ?

No, borgata. Guarda bene. "ampliano quelle di .NET Framework 2.0" ma non dice include .NET Framework 2.0. Dice poi che include il .NET Framework 2.0 Service Pack 1. Ma poi che ti devo dire? Non lo so per certo. So solo che ho un software che mi dice che manca .NetFramework 3.5 anche se ce l'ho ed anche se l'ho disinstallato e installato almeno 3 volte tutto da capo. Poi ho pensato che mancasse un pezzo.
1consigliere non è collegato   Rispondi citando
Vecchio 13-11-2015, 14.10.59   #13
borgata
Gold Member
WT Expert
 
L'avatar di borgata
 
Registrato: 23-06-2004
Loc.: Cagliari
Messaggi: 13.333
borgata è un gioiello raroborgata è un gioiello raroborgata è un gioiello raroborgata è un gioiello raro
Rif: trucco NET FRAMEWORK ?

Ho letto bene (non che ne avessi bisogno, so di cosa parlo e ho sperimentato adeguatamente a riguardo), ampliare significa che è un superset del .NET Framework 2.0 e 3.0.
Contiene cioè le funzionalità dei due precedenti .NET Framwork (service pack inclusi, come specificato) e le amplia (aggiunge cioè le nuove funzionalità della versione 3.5).

In soldoni, se installi il .NET Framework 3.5 hai le funzionalità dei precedenti .NET Framework dal 2.0 in poi.

Il tuo problema pare essere di altro tipo, se ti richiede il 3.5 e nonostante le installazioni non te lo riconosce, c'è qualche problema nel registro.
Ti consiglio quindi di disinstallarlo, ripulire con un tool apposito (ora non ho nulla sotto mano, ma lo trovi facilmente con una ricerca in rete) e quindi rinstallarlo.
___________________________________

La risposta è dentro di te...
e però, è sbagliata!
borgata non è collegato   Rispondi citando
Rispondi


Utenti attualmente attivi che stanno leggendo questa discussione: 1 (0 utenti e 1 ospiti)
 
Strumenti discussione

Regole di scrittura
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is ON
Gli smilies sono ON
[IMG] è ON
Il codice HTML è OFF

Vai al forum

Discussioni simili
Discussione Autore discussione Forum Risposte Ultimo messaggio
NET Framework su XP SK888 Windows 7/Vista/XP/ 2003 12 13-10-2008 14.35.28
Non si installa NET Framework 2, aiuto ? ropa Windows 7/Vista/XP/ 2003 0 14-11-2007 10.30.22
Segnalazioni KB (Knowledge Base) Microsoft giancarlof Segnalazioni Web 71 12-07-2007 10.04.00
Microsoft .NET Framework (v3.5) 3.5 Beta 1 giancarlof Segnalazioni Web 0 26-05-2007 04.42.02
.NET Framework SP WinTricks Archivio News Web 0 01-09-2004 09.04.14

Orario GMT +2. Ora sono le: 00.59.53.


E' vietata la riproduzione, anche solo in parte, di contenuti e grafica.
Copyright © 1999-2017 Edizioni Master S.p.A. p.iva: 02105820787 • Tutti i diritti sono riservati
L'editore NON si assume nessuna responsabilità dei contenuti pubblicati sul forum in quanto redatti direttamente dagli utenti.
Questi ultimi sono responsabili dei contenuti da loro riportati nelle discussioni del forum
Powered by vBulletin - 2010 Copyright © Jelsoft Enterprises Limited.